gtkmm: Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > > Struct Reference

gtkmm 4.8.0

Public Types | Static Public Member Functions | List of all members
Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > > Struct Reference

Specialization for pointers to const cairo surfaces. More...

`#include <gdkmm/cairoutils.h>`

## Public Types
using | CppType = Cairo::RefPtr< const ::Cairo::Surface >
using | CType = const ::Cairo::Surface::cobject *
using | CTypeNonConst = ::Cairo::Surface::cobject *

## Static Public Member Functions
static CType | to_c_type (const CppType & ptr)
static CType | to_c_type (CType ptr)
static CppType | to_cpp_type (CType ptr)
static void | release_c_type (CType ptr)

## Detailed Description

Specialization for pointers to const cairo surfaces.

The C++ type is always a Cairo::RefPtr<>.

Since gtkmm 3.92:

## Member Typedef Documentation

## ◆ CppType

using Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::CppType = Cairo::RefPtr<const ::Cairo::Surface>

## ◆ CType

using Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::CType = const ::Cairo::Surface::cobject*

## ◆ CTypeNonConst

using Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::CTypeNonConst = ::Cairo::Surface::cobject*

## Member Function Documentation

## ◆ release_c_type()

static void Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::release_c_type | ( | CType | ptr | ) |
| inlinestatic

## ◆ to_c_type() [1/2]

static CType Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::to_c_type | ( | const CppType & | ptr | ) |
| inlinestatic

## ◆ to_c_type() [2/2]

static CType Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::to_c_type | ( | CType | ptr | ) |
| inlinestatic

## ◆ to_cpp_type()

static CppType Glib::Container_Helpers::TypeTraits<::Cairo::RefPtr< const ::Cairo::Surface > >::to_cpp_type | ( | CType | ptr | ) |
| inlinestatic